﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false"
	Inherits="RSWebApp.EditPublishedReport" Title="Document Manager" CodeBehind="EditPublishedReport.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
	<div id="documentName" class="EditPageTitle">
		Document Name:
		<asp:Label ID="lblDocName" runat="server"></asp:Label>
	</div>
	<div style="padding-top: 10px; padding-bottom: 10px;">
		<asp:Label ID="lblValidationSummaryTop" runat="server" ForeColor="Red" Visible="False">
		</asp:Label>
	</div>
	<dx:aspxpagecontrol id="ASPxPageControl1" runat="server" activetabindex="0" tabspacing="0px" width="100%" enableclientsideapi="True" clientinstancename="HomeTabs" enabletheming="True">
		<TabPages>
			<dx:TabPage Name="tabDescription" Text="Descriptions" ToolTip="Displays information about the published report">
				<ContentCollection>
					<dx:ContentControl runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0">
							<tr>
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportIdHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Document ID
											</td>
										</tr>
									</table>
								</td>
								<td colspan="2">
									<asp:Label ID="lblDocumentID" runat="server"></asp:Label>
								</td>
							</tr>
							<tr>
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportIdHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Document Type</td>
										</tr>
									</table>
								</td>
								<td colspan="2">
									<asp:DropDownList ID="ddlDocumentType" runat="server" Width="400" AutoPostBack="True">
										<asp:ListItem Value="Crystal Report" Selected="True">Crystal Report (.rpt)</asp:ListItem>
                                        <asp:ListItem Value="Ripplestone Report" Selected="False">Ripplestone Report (.repx)</asp:ListItem>
                                        <asp:ListItem Value="Acrobat" Selected="False">Adobe Acrobat (.pdf)</asp:ListItem>
										<asp:ListItem Value="Word" Selected="False">Microsoft Word (.doc, .docx)</asp:ListItem>
										<asp:ListItem Value="Excel" Selected="False">Microsoft Excel (.xls, .xlsx)</asp:ListItem>
										<asp:ListItem Value="PowerPoint" Selected="False">Microsoft PowerPoint (.ppt, .pptx)</asp:ListItem>
										<asp:ListItem Value="Hyperlink" Selected="False">Hyperlink</asp:ListItem>
									</asp:DropDownList></td>
							</tr>
							<tr>
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportTitleHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a></td>
											<td class="FormLabel">Title</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtTitle" runat="server" CssClass="FormTextbox" Width="100%"></asp:TextBox></td>
								<td>
									<asp:RequiredFieldValidator ID="ctlTitleValidator" runat="server" Display="Dynamic" ErrorMessage="* Title required."
										ControlToValidate="txtTitle"></asp:RequiredFieldValidator></td>
							</tr>
							<tr>
								<td class="FormLabel" valign="top">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportDescHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Description</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtDescription" runat="server" CssClass="FormTextbox" Rows="8" TextMode="MultiLine" Width="100%"></asp:TextBox></td>
								<td valign="top">
									<asp:RequiredFieldValidator ID="ctlDescriptionValidator" runat="server" Display="Dynamic" ErrorMessage="* Description required."
										ControlToValidate="txtDescription"></asp:RequiredFieldValidator></td>
							</tr>
							<tr id="rowDefaultViewer" runat="server">
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('FoldersHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Default Viewer</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:RadioButton ID="optViewerCR" runat="server" AutoPostBack="True" Text="Web Viewer" GroupName="DefaultViewer"></asp:RadioButton>
									<asp:RadioButton ID="optViewerPDF" runat="server" AutoPostBack="True" Text="PDF" GroupName="DefaultViewer"></asp:RadioButton></td>
							</tr>
							<tr>
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportActive.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" style="border: none;" /></a>
											</td>
											<td class="FormLabel">Active</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:CheckBox ID="chkActive" runat="server" />
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 20%;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportAuthorHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Author</td>
										</tr>
									</table>
								</td>
								<td align="left" style="width: 50%;">
									<asp:TextBox ID="txtAuthor" runat="server" CssClass="FormTextbox"></asp:TextBox></td>
								<td>
									<asp:RequiredFieldValidator ID="ctlAuthorValidator" runat="server" Display="Dynamic" ErrorMessage="* Report author required."
										ControlToValidate="txtAuthor"></asp:RequiredFieldValidator></td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 20%;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportAuthorContactHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Author Contact</td>
										</tr>
									</table>
								</td>
								<td align="left" style="width: 50%;">
									<asp:TextBox ID="txtAuthorContact" runat="server" CssClass="FormTextbox"></asp:TextBox></td>
								<td>
									<asp:RequiredFieldValidator ID="ctlAuthorContactValidator" runat="server" Display="Dynamic" ErrorMessage="* Author contact information required."
										ControlToValidate="txtAuthorContact"></asp:RequiredFieldValidator></td>
							</tr>
							<tr>
								<td colspan="2">&nbsp;</td>
							</tr>
							<tr>
								<td class="FormLabel" colspan="2">
									<asp:Label ID="lblModified" runat="server" Text="Last modified by "></asp:Label>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabFolder" Text="Published Folder" ToolTip="Displays the published folder">
				<ContentCollection>
					<dx:ContentControl runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0">
							<tr>
								<td class="FormLabel" style="WIDTH: 100px" valign="top">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('FoldersHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Document Folder</td>
										</tr>
									</table>
								</td>
								<td>
									<telerik:RadTreeView ID="RadTreeFolders" runat="server" Height="100%" Width="100%" autopostback="False"
										imagesbasedir="~/" loadingmessageposition="AfterNodeText" CheckBoxes="True" OnClientNodeChecked="afterClientCheck">
									</telerik:RadTreeView>
								</td>
							</tr>
							<tr id="rowCurrentFolder" runat="server">
								<td class="FormLabel">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('CurrentRptFileHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Current File</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtFile" runat="server" CssClass="FormTextbox" Enabled="False" ReadOnly="True"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" valign="top">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('SubmitRptFileHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel" id="cellSubmitFile" nowrap="nowrap" runat="server">Submit File</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtHyperlinkAddress" runat="server" CssClass="FormTextbox" Visible="False"></asp:TextBox>
									<input id="txtUploadedReport" type="file" size="75" name="txtUploadedReport" runat="server" />
									&nbsp;<input id="ctlConfirmFileReplace" type="hidden" value="N" name="ctlConfirmFileReplace" runat="server" />


								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td>
									<asp:CustomValidator ID="ctlValidateUploadedReport" runat="server" Display="dynamic" ErrorMessage="* Document upload required."
										OnServerValidate="ValidateHasReportFile"></asp:CustomValidator>
									<asp:CustomValidator ID="ctlValidateFileType" runat="server" Display="dynamic" ErrorMessage="* File not a Crystal Report."
										OnServerValidate="ValidateFileType"></asp:CustomValidator>
									<asp:CustomValidator ID="ctlDuplicateFile" runat="server" Display="dynamic" ErrorMessage="* File already published."
										OnServerValidate="ValidateUniqueFile"></asp:CustomValidator>
									<asp:CustomValidator ID="ctlFolderSelected" runat="server" Display="dynamic" ErrorMessage="* A folder must be selected."
										OnServerValidate="ValidateFolder">
									</asp:CustomValidator>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabSendTo" Text="Send To" ToolTip="Manage options to send this document to a folder or within an email">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl1" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="5" cellpadding="5" width="100%" border="0">
							<tr>
								<td class="FormLabel" style="width: 20%;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('SendToHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Export to a file</td>
										</tr>
									</table>
								</td>
								<td align="left" style="width: 50%;">
									<asp:CheckBox ID="chkSendToFile" runat="server" AutoPostBack="False" Text="Enable Export to File" TextAlign="Right"></asp:CheckBox><br />
								</td>
							</tr>
                            <tr>
                                <td style="width: 150px">File Type</td>
                                <td>
									<asp:DropDownList ID="ddlSendToFileOutputType" runat="server">
										<asp:ListItem Value="2" Selected="True">PDF</asp:ListItem>
										<asp:ListItem Value="3" Selected="False">Excel</asp:ListItem>
										<asp:ListItem Value="9" Selected="False">Excel Data</asp:ListItem>
										<asp:ListItem Value="6" Selected="False">Word (rtf)</asp:ListItem>
										<asp:ListItem Value="8" Selected="False">Rich Text (rtf)</asp:ListItem>
										<asp:ListItem Value="10" Selected="False">Editable Rich Text (rtf)</asp:ListItem>
										<asp:ListItem Value="4" Selected="False">CSV</asp:ListItem>
										<asp:ListItem Value="5" Selected="False">Text</asp:ListItem>
										<asp:ListItem Value="7" Selected="False">Tab Separated</asp:ListItem>
										<asp:ListItem Value="1" Selected="False">Crystal Report</asp:ListItem>
									</asp:DropDownList>
                                </td>
                            </tr>
                            <tr>
								<td style="width: 150px">File Location<br />(select from list or type in a file path)</td>
                                <td>
									<asp:DropDownList ID="ddlSendToFileLocation" runat="server" DataTextField="FolderPath" DataValueField="FolderPath">
									</asp:DropDownList>
                                    <asp:TextBox ID="txtSendToFileLocation" runat="server" CssClass="FormTextbox"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
								<td style="width: 150px">File Name</td>
                                <td>
                                    <asp:TextBox ID="txtSendToFileName" runat="server" CssClass="FormTextbox"></asp:TextBox>
                                </td>
                            </tr>
                            <tr>
                                <td style="width: 150px">&nbsp;</td>
                                <td>
                                    <dx:ASPxRadioButton ID="radioFileNameOverwrite" runat="server" GroupName="FileNameOptions" Text="Overwrite File Name" ToolTip="If the file name exists should it be over written"></dx:ASPxRadioButton>&nbsp;
                                    <dx:ASPxRadioButton ID="radioFileNameAppend" runat="server" GroupName="FileNameOptions" Text="Append File Name with a Number" ToolTip="If the file exists the name will have a number added to it."></dx:ASPxRadioButton>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2"><hr /></td>
                            </tr>
							<tr>
								<td class="FormLabel" style="width: 20%;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('SendToHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Send to Email</td>
										</tr>
									</table>
								</td>
								<td align="left" style="width: 50%;">
									<asp:CheckBox ID="chkSendToEmail" runat="server" AutoPostBack="False" Text="Enable Send to Email" TextAlign="Right"></asp:CheckBox><br />
								</td>
							</tr>
							<tr>
								<td style="width: 150px">File Type</td>
								<td>
									<asp:DropDownList ID="ddlSendToEmailOutputType" runat="server">
										<asp:ListItem Value="2" Selected="True">PDF</asp:ListItem>
										<asp:ListItem Value="3" Selected="False">Excel</asp:ListItem>
										<asp:ListItem Value="9" Selected="False">Excel Data</asp:ListItem>
										<asp:ListItem Value="6" Selected="False">Word (rtf)</asp:ListItem>
										<asp:ListItem Value="8" Selected="False">Rich Text (rtf)</asp:ListItem>
										<asp:ListItem Value="10" Selected="False">Editable Rich Text (rtf)</asp:ListItem>
										<asp:ListItem Value="4" Selected="False">CSV</asp:ListItem>
										<asp:ListItem Value="5" Selected="False">Text</asp:ListItem>
										<asp:ListItem Value="7" Selected="False">Tab Separated</asp:ListItem>
										<asp:ListItem Value="1" Selected="False">Crystal Report</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr valign="top">
								<td style="width: 150px">From</td>
								<td>
									<asp:TextBox ID="txtMailFrom" runat="server" CssClass="FormTextbox"></asp:TextBox>
								</td>
							</tr>
							<tr valign="top">
								<td style="width: 150px">To</td>
								<td>
									<asp:TextBox ID="txtSendToEmail" runat="server" CssClass="FormTextbox"></asp:TextBox>
								</td>
							</tr>
							<tr valign="top">
								<td style="width: 150px">Subject</td>
								<td>
									<asp:TextBox ID="txtMailSubject" runat="server" CssClass="FormTextbox"></asp:TextBox>
								</td>
							</tr>
							<tr valign="top">
								<td style="width: 150px">Message</td>
								<td>
									<asp:TextBox ID="txtMailMessage" runat="server" CssClass="FormTextbox" Rows="5" TextMode="MultiLine"></asp:TextBox>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabWebViewerOptions" Text="Web Viewer Options" ToolTip="Options for the Crystal Report Web Viewer">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl2" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="5" cellpadding="5" width="550px" border="0">
							<tr>
								<td class="FormText">
									<a onclick="callHelp('PrintExportSecurityHelp.htm')" href="javascript:void(0)" tabindex="-1">
										<img alt="Help" src="images/help3.gif" /></a>									
								</td>
                                <td>This tab is used to control the toolbar button in the Crystal Report viewer.<br />
                                    This will override the system settings.
                                </td>
							</tr>
                            <tr>
                                <td>Allow Print:</td>
                                <td>
                                    <dx:ASPxComboBox ID="ASPxcboViewerPrint" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="false">
                                        <Items>
                                            <dx:ListEditItem Text="Use Global Setting" Value="global" Selected="true" />
                                            <dx:ListEditItem Text="Enable Printing" Value="yes" Selected="false" />
                                            <dx:ListEditItem Text="Disable Printing" Value="no" Selected="false" />
                                        </Items>
                                    </dx:ASPxComboBox>
                                </td>
                            </tr>
                            <tr>
                                <td>Allow Export:</td>
								<td>
                                    <dx:ASPxComboBox ID="ASPxcboViewerExport" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="false">
                                        <Items>
                                            <dx:ListEditItem Text="Use Global Setting" Value="global" Selected="true" />
                                            <dx:ListEditItem Text="Enable Export" Value="yes" Selected="false" />
                                            <dx:ListEditItem Text="Disable Export" Value="no" Selected="false" />
                                        </Items>
                                    </dx:ASPxComboBox>
								</td>
							</tr>
                            <tr>
                                <td>Allow Refresh:</td>
                                <td>
                                    <dx:ASPxComboBox ID="ASPxcboViewerRefresh" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="false">
                                        <Items>
                                            <dx:ListEditItem Text="Use Global Setting" Value="global" Selected="true" />
                                            <dx:ListEditItem Text="Enable Refresh" Value="yes" Selected="false" />
                                            <dx:ListEditItem Text="Disable Refresh" Value="no" Selected="false" />
                                        </Items>
                                    </dx:ASPxComboBox>
                                </td>
                            </tr>
                            <tr>
                                <td>Allow Search:</td>
                                <td>
                                    <dx:ASPxComboBox ID="ASPxcboViewerSearch" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="false">
                                        <Items>
                                            <dx:ListEditItem Text="Use Global Setting" Value="global" Selected="true" />
                                            <dx:ListEditItem Text="Enable Searching" Value="yes" Selected="false" />
                                            <dx:ListEditItem Text="Disable Searching" Value="no" Selected="false" />
                                        </Items>
                                    </dx:ASPxComboBox>
                                </td>
                            </tr>
                            <tr>
                                <td>Allow Other Viewers<br /> on Home Page:</td>
                                <td>
                                    <dx:ASPxComboBox ID="ASPxcboHomePageViewer" runat="server" ValueType="System.String" AutoPostBack="false" EnableClientSideAPI="false">
                                        <Items>
                                            <dx:ListEditItem Text="Enable Viewers" Value="yes" Selected="true" />
                                            <dx:ListEditItem Text="Disable Viewers" Value="no" Selected="false" />
                                        </Items>
                                    </dx:ASPxComboBox>
                                </td>
                            </tr>
                        </table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabDynamic" Text="Dynamic Pick Lists" ToolTip="Used for Crystal Reports to selected values for parameters">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl3" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable">
							<tr>
								<td style="width: 21px;">
									<a onclick="callHelp('DynamicPickListHelp.htm')" href="javascript:void(0)" tabindex="-1">
										<img alt="Help" src="images/help3.gif" /></a>
								</td>
								<td class="FormText" style="width: 100%;">Dynamic Pick Lists</td>
							</tr>
						</table>
						<div class="AddNewLinkLeft">
							<a class="ReportLink" id="ctlAddLink" runat="server">Add New Dynamic Pick List</a>
						</div>
                        <asp:ObjectDataSource ID="dataDynamicParameter" runat="server" DeleteMethod="DeleteDynamicParameterByID" 
                            SelectMethod="GetDynamicParametersByReportID" TypeName="Ripplestone.BLL.DynamicParameter">
                            <DeleteParameters>
                                <asp:Parameter Name="ID" Type="Int32" />
                            </DeleteParameters>
                            <SelectParameters>
                                <asp:QueryStringParameter Name="reportID" QueryStringField="ReportId" Type="Int32" />
                            </SelectParameters>
                        </asp:ObjectDataSource>
						<br />
						<br />
                        <!-- Changed the grid to allow paging - Jeff Lyon - 2/22/2019 - version 3.9.2.1 -->
                        <dx:ASPxGridView ID="gridDynamicParameters" runat="server" AutoGenerateColumns="False" DataSourceID="dataDynamicParameter" 
                            KeyFieldName="ID" Width="100%" EnableCallBacks="False">
                            <SettingsPager PageSize="20">
                                <PageSizeItemSettings ShowAllItem="true" Visible="True">
                                </PageSizeItemSettings>
                            </SettingsPager>
                            <SettingsBehavior AllowSort="False" ConfirmDelete="True" />
                            <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
                            <Columns>
                                <dx:GridViewDataTextColumn FieldName="ParameterName" ShowInCustomizationForm="True" VisibleIndex="1">
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataTextColumn FieldName="ID" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0">
                                    <EditFormSettings Visible="False" />
                                </dx:GridViewDataTextColumn>
				                <dx:GridViewCommandColumn ButtonType="Button" Caption="Edit" VisibleIndex="2" Name="Edit">
					                <CustomButtons>
						                <dx:GridViewCommandColumnCustomButton ID="btnEditDynamicParam" Text="Edit" Visibility="AllDataRows">
						                </dx:GridViewCommandColumnCustomButton>
					                </CustomButtons>
				                </dx:GridViewCommandColumn>
				                <dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="3" ButtonType="Button" Caption="Delete" Name="Delete">
				                </dx:GridViewCommandColumn>
                            </Columns>
							<Styles AdaptiveDetailButtonWidth="22"></Styles>
                        </dx:ASPxGridView>
                        <br />
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabDataConnection" Text="Database Connection" ToolTip="Used to help create and test the database connection">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl4" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="3" cellpadding="3" width="100%" border="0">
							<tr>
								<td>
									<table>
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('DynamicPickListHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" border="0" /></a>
											</td>
											<td class="FormText" style="width: 100%;">Database Connection Helper</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td id="cellConnectionTypes" runat="server">Connection Types:<br />
									<asp:ListBox ID="lstReportConnections" runat="server" AutoPostBack="True"
										DataTextField="" DataValueField=""></asp:ListBox></td>
								<td id="cellConnectionName" runat="server">Connection Name:<br />
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
							</tr>
                            <tr>
                                <td style="width: 100%;" colspan="2">
                                    <dx:ASPxCheckBox ID="ASPxchkUseLoginforConnection" runat="server" Text="Use the Login for the Database Connection"
                                        ToolTip="Use the database login to determine which Database Connection to use">
                                    </dx:ASPxCheckBox>
                                </td>
                            </tr>
                        </table>
						<table class="RSTable" cellspacing="3" cellpadding="3" width="100%" border="0">
							<tr>
								<td class="FormLabel" style="width: 100px;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportAlternateDBLoginHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" border="0" /></a>
											</td>
											<td class="FormLabel" nowrap="nowrap">Alternate Database Login:
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtDBLogin" runat="server" CssClass="FormTextbox" Width="150px"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 100px;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('ReportAlternateDBPasswordHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" border="0" /></a>
											</td>
											<td class="FormLabel" nowrap="nowrap">Alternate Database Password:
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:TextBox ID="txtDBPassword" runat="server" CssClass="FormTextbox" Width="150px"></asp:TextBox>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabRSExpress" Text="RS Express" ToolTip="Settings for RS Express">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl5" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="3" cellpadding="3" width="100%" border="0">
							<tr>
								<td>
									<table>
										<tr>
											<td style="width: 21px">
												<a onclick="callHelp('RSExpress.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormText">RS Express
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 100px">
									<table width="100%">
										<tr>
											<td style="width: 21px">
												<a onclick="callHelp('RSExpressActive.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Active
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:DropDownList ID="ddlRSExpressActive" runat="server">
										<asp:ListItem Selected="True" Value="global">Use Global Setting</asp:ListItem>
										<asp:ListItem Value="yes">Yes</asp:ListItem>
										<asp:ListItem Value="no">No</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 21px">
									<table width="100%">
										<tr>
											<td style="width: 21px">
												<a onclick="callHelp('RSExpressUniqueKey.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Unique Key
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:Label ID="lblRSExpressKey" runat="server"></asp:Label>
									<asp:Button ID="btnCreateUniqueKey" runat="server" Text="Create a New Key" />
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 21px">
									<table width="100%">
										<tr>
											<td style="width: 21px">
												<a onclick="callHelp('RSExpressQueryString.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Query String
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:Label ID="lblRSExpressQuerystring" runat="server"></asp:Label>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabUsage" Text="Usage" ToolTip="Usage Statistics for this Document">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl6" runat="server" SupportsDisabledAttribute="True">
						<table class="RSTable" cellspacing="10" cellpadding="3" width="100%" border="0">
							<tr>
								<td class="FormLabel" style="width: 100px;">Total Runs:
								</td>
								<td>
									<asp:Label ID="lblTotalRuns" runat="server"></asp:Label>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 100px;">Last Run:
								</td>
								<td>
									<asp:Label ID="lblLastRun" runat="server"></asp:Label>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 100px;" valign="top">Document History:
								</td>
								<td>
                                    <!-- Added paging to the grid - Jeff Lyon - 2/22/2019 - version 3.9.2.1 -->
									<asp:ObjectDataSource ID="dataDocumentsHistory" runat="server" SelectMethod="GetLastRunList" TypeName="Ripplestone.BLL.DocumentUsage">
										<SelectParameters>
											<asp:QueryStringParameter DefaultValue="0" Name="documentID" QueryStringField="ReportId" Type="Int32" />
										</SelectParameters>
									</asp:ObjectDataSource>
									<dx:ASPxGridView ID="gridDocumentsHistory" runat="server" DataSourceID="dataDocumentsHistory" Width="100%">
										<Settings ShowFilterRow="True" ShowGroupPanel="True" />
										<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
										<SettingsSearchPanel Visible="True" />
                                        <SettingsPager PageSize="20">
                                            <PageSizeItemSettings ShowAllItem="true" Visible="True">
                                            </PageSizeItemSettings>
                                        </SettingsPager>
                                        <Columns>
											<dx:GridViewDataTextColumn Caption="First Name" FieldName="FirstName" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Last Name" FieldName="LastName" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Email" FieldName="Email" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataDateColumn Caption="Last Run Date" FieldName="RunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="3">
												<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime" />
											</dx:GridViewDataDateColumn>
										</Columns>
										<Styles AdaptiveDetailButtonWidth="22"></Styles>
									</dx:ASPxGridView>
								</td>
							</tr>
							<tr>
								<td class="FormLabel" style="width: 100px;" valign="top">Top Users:
								</td>
								<td>
                                    <!-- Added paging to the grid - Jeff Lyon - 2/22/2019 - version 3.9.2.1 -->
                                    <asp:ObjectDataSource ID="dataTopUsers" runat="server" SelectMethod="GetDocumentUserList" TypeName="Ripplestone.BLL.DocumentUsage">
										<SelectParameters>
											<asp:QueryStringParameter DefaultValue="0" Name="documentID" QueryStringField="ReportId" Type="Int32" />
										</SelectParameters>
									</asp:ObjectDataSource>
									<dx:ASPxGridView ID="gridTopUsers" runat="server" DataSourceID="dataTopUsers" Width="100%">
										<Settings ShowFilterRow="True" ShowGroupPanel="True" />
										<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
										<SettingsSearchPanel Visible="True" />
                                        <SettingsPager PageSize="20">
                                            <PageSizeItemSettings ShowAllItem="true" Visible="True">
                                            </PageSizeItemSettings>
                                        </SettingsPager>
                                        <Columns>
											<dx:GridViewDataTextColumn Caption="First Name" FieldName="FirstName" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Last Name" FieldName="LastName" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Email" FieldName="Email" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Number of Runs" FieldName="CountOfRunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="3">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataDateColumn Caption="Last Run Date" FieldName="MaxOfRunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="4">
												<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime" />
											</dx:GridViewDataDateColumn>
										</Columns>
										<Styles AdaptiveDetailButtonWidth="22"></Styles>
									</dx:ASPxGridView>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
		</TabPages>
		<LoadingPanelStyle ImageSpacing="5px">
		</LoadingPanelStyle>
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px" />
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px"></Paddings>
	</dx:aspxpagecontrol>
	<div id="buttons">
		<asp:Button ID="btnSave" runat="server" Text="Save" Width="65px" ToolTip="Save this published report">
		</asp:Button>&nbsp;
		<asp:Button ID="ctlCancel" runat="server" Text="Cancel" Width="65" CausesValidation="False">
		</asp:Button>&nbsp;&nbsp;
		<asp:TextBox ID="txtReportId" runat="server" Visible="False"></asp:TextBox>
		<asp:ValidationSummary
			ID="ctlValidationSummary" runat="server" ForeColor="Red" ShowMessageBox="True" 
			HeaderText="The following errors were found:">
		</asp:ValidationSummary>
	</div>
	<div style="padding-top: 10px; padding-bottom: 10px;">
		<asp:Label ID="lblValidationSummary" runat="server" ForeColor="Red" Visible="False">
		</asp:Label>
	</div>
</asp:Content>
