<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.EditUser" Title="Manage User" Codebehind="EditUser.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register assembly="SCS.PickList" namespace="SCS.Web.UI.WebControls" tagprefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
	<style type="text/css">
		.auto-style4 {
			width: 47px;
		}
		.auto-style5 {
			width: 139px;
		}
	</style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <div class="nav2">
		<a class="nav2left" onclick="callHelp('UserGeneral.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" /></a>
		<asp:Label ID="lblTitle" runat="server" CssClass="nav2title">Edit User: </asp:Label>
	</div>
	<dx:ASPxPageControl ID="ASPxPageControl1" runat="server" ActiveTabIndex="0" TabSpacing="0px" Width="100%" EnableClientSideAPI="True" 
			ClientInstanceName="HomeTabs" EnableTheming="True">
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px"></Paddings>
		<TabPages>
			<dx:TabPage Name="tabConfiguration" Text="General" ToolTip="General User Information">
				<ContentCollection>
					<dx:ContentControl ID="tabGeneral" runat="server" SupportsDisabledAttribute="True" Width="100%">
                        <table width="100%">
                            <tr>
                                <td style="width: 21px;">
                                    <a onclick="callHelp('UserEdit.htm')" href="javascript:void(0)" tabindex="-1">
                                        <img alt="Help" src="images/help3.gif" /></a>
                                </td>
                                <td class="FormLabel">User Information
                                </td>
                            </tr>
                        </table>
                        <table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0" style="text-align: left;">
                            <tr>
                                <td class="FormLabel" style="width: 200px;">User ID</td>
                                <td>
                                    <dx:ASPxLabel ID="ASPxlblUserID" runat="server" Text=""></dx:ASPxLabel>
                                </td>
                            </tr>
							<tr>
								<td class="FormLabel" style="width: 200px;">User Name:
								</td>
								<td>
									<asp:TextBox ID="txtUserName" runat="server"></asp:TextBox>&nbsp;
									<asp:RequiredFieldValidator ID="rfvUserName" runat="server" ControlToValidate="txtUserName"
											ErrorMessage="* Required." Display="dynamic"></asp:RequiredFieldValidator>
									<asp:CustomValidator ID="cvalUserName" runat="server" ControlToValidate="txtUserName" ErrorMessage="* Already Exists." Display="dynamic" />
								</td>
							</tr>
							<tr id="rowPassword" runat="server">
                                <td class="FormLabel">Password:
                                </td>
								<td>
									<asp:TextBox ID="txtPassword" runat="server" TextMode="Password"></asp:TextBox>&nbsp;
									<asp:CustomValidator ID="cvalPasswordNotEmpty" runat="server" ControlToValidate="txtPassword"
											ErrorMessage="* Invalid Password." Display="dynamic" OnServerValidate="PasswordNotEmpty"></asp:CustomValidator>
								</td>
							</tr>
							<tr id="rowPasswordConfirm" runat="server">
                                <td class="FormLabel">Confirm Password:
                                </td>
								<td>
									<asp:TextBox ID="txtConfirmPassword" runat="server" TextMode="Password"></asp:TextBox>&nbsp;
									<asp:CustomValidator ID="cvalConfirmPasswordNotEmpty" runat="server" ControlToValidate="txtConfirmPassword"
										ErrorMessage="* Invalid Password." Display="dynamic" OnServerValidate="ConfirmPasswordNotEmpty"></asp:CustomValidator>
									<asp:CompareValidator ID="valComparePasswords" runat="server" ControlToValidate="txtConfirmPassword"
										ErrorMessage="Passwords Do Not Match" Display="Dynamic" ControlToCompare="txtPassword"></asp:CompareValidator>
								</td>
							</tr>
							<tr>
                                <td class="FormLabel">First Name:
                                </td>
								<td>
									<asp:TextBox ID="txtFirstName" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
							<tr>
                                <td class="FormLabel">Last Name:
                                </td>
								<td>
									<asp:TextBox ID="txtLastName" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
							<tr>
                                <td class="FormLabel">Email:
                                </td>
								<td>
									<asp:TextBox ID="txtEmail" runat="server" Width="300" MaxLength="100"></asp:TextBox>&nbsp;
									<asp:RegularExpressionValidator ID="valEmail" runat="server" ControlToValidate="txtEmail"
											ErrorMessage="Invalid Email Address" Display="Dynamic" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
								</td>
							</tr>
							<tr>
                                <td class="FormLabel" style="width: 200px">Windows Integrated Security:
                                </td>
								<td>
									<asp:CheckBox ID="chkWindowsUserID" runat="server" AutoPostBack="True"></asp:CheckBox>
								</td>
							</tr>
							<tr>
                                <td class="FormLabel">Active:
                                </td>
								<td>
									<asp:CheckBox ID="chkActive" runat="server"></asp:CheckBox>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabUserOption" Text="User Options" ToolTip="User System Options">
				<ContentCollection>
					<dx:ContentControl ID="ContentControl1" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="600" border="0" style="text-align: left;">
							<tr>
								<td style="width: 250px;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('MinimalHomePage.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel" style="width: 200px">Use Minimal Home Page:
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:DropDownList ID="ddlMinimalHomePage" runat="server">
										<asp:ListItem Selected="True" Value="global">Use Global Setting</asp:ListItem>
										<asp:ListItem Value="yes">Yes</asp:ListItem>
										<asp:ListItem Value="no">No</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td style="width: 250px;">
									<table width="100%">
										<tr>
											<td class="width: 21px;">
												<a onclick="callHelp('DisplayFavorites.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Display Favorites as Home Page:
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:DropDownList ID="ddlDisplayFavorites" runat="server">
										<asp:ListItem Selected="True" Value="global">Use Global Setting</asp:ListItem>
										<asp:ListItem Value="yes">Yes</asp:ListItem>
										<asp:ListItem Value="no">No</asp:ListItem>
									</asp:DropDownList>
								</td>
							</tr>
							<tr>
								<td style="width: 250px;">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('UserIdHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormLabel">Encrypted User Name:
											</td>
										</tr>
									</table>
								</td>
								<td>
									<asp:Label ID="lblEncryptedUserName" runat="server" Text=""></asp:Label>&nbsp;
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabUserIDToken" Text="User ID Tokens" ToolTip="User ID Tokens for Row Level Security">
				<ContentCollection>
					<dx:ContentControl ID="tabUserIDToken" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="600" border="0" style="text-align: left;">
							<tr>
								<td colspan="2">
									<table width="100%" border="0">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('User_UserIDToken.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormText">These UserIDs are used for Row Level Security to allow the administrator to use
									a User ID other than the user's login. Click on the help icon to view the online
									help for more information on using the User ID for Row Level Security.
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td style="width: 102px">
									<table width="100%">
										<tr>
											<td>&nbsp;</td>
											<td class="FormText" style="width: 100px">UserID 2:
											</td>
										</tr>
									</table>
								</td>
								<td style="width: 200px" align="left">
									<asp:TextBox ID="txtUserID2" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td style="width: 102px">
									<table width="100%">
										<tr>
											<td>&nbsp;</td>
											<td class="FormText" style="width: 100px">UserID 3:
											</td>
										</tr>
									</table>
								</td>
								<td style="width: 200px" align="left">
									<asp:TextBox ID="txtUserID3" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td style="width: 102px">
									<table width="100%">
										<tr>
											<td>&nbsp;</td>
											<td class="FormText" style="width: 100px">UserID 4:
											</td>
										</tr>
									</table>
								</td>
								<td style="width: 200px" align="left">
									<asp:TextBox ID="txtUserID4" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
							<tr>
								<td style="width: 102px">
									<table width="100%">
										<tr>
											<td>&nbsp;</td>
											<td class="FormText" style="width: 100px">UserID 5:
											</td>
										</tr>
									</table>
								</td>
								<td style="width: 200px" align="left">
									<asp:TextBox ID="txtUserID5" runat="server" MaxLength="50"></asp:TextBox>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabRoles" Text="Roles" ToolTip="Manage roles assigned to this user">
				<ContentCollection>
					<dx:ContentControl ID="tabRoles" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" id="tblMaintainRoles" cellspacing="5" cellpadding="0" width="100%" border="0" style="text-align: left;">
							<tr>
								<td style="width: 400px">
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('UserRoles.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormText">Maintain Roles for this User:
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td>
									<cc1:PickList ID="pickRoles" runat="server" AvailableLabelText="Available Roles:" CurrentLabelText="Assigned Roles:" Rows="8" Width="309px">
										<AddButtonStyle Width="100px" />
										<RemoveButtonStyle Width="100px" />
										<AvailableLabelStyle Font-Bold="True" />
										<SelectedLabelStyle Font-Bold="True" />
										<AvailableListBoxStyle Width="200px" />
										<SelectedListBoxStyle Width="200px" />
									</cc1:PickList>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabUserSecurity" Text="User Security" ToolTip="Manage security for this user">
				<ContentCollection>
					<dx:ContentControl ID="tabUserSecurity" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0" style="text-align: left;">
							<tr>
								<td>
									<table width="100%">
										<tr>
											<td style="width: 21px;">
												<a onclick="callHelp('NotAuthorizedFSHelp.htm')" href="javascript:void(0)" tabindex="-1">
													<img alt="Help" src="images/help3.gif" /></a>
											</td>
											<td class="FormText">Folder Authorization
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td>
									<table cellspacing="0" cellpadding="0" width="100%" border="0">
										<tr>
											<td style="width: 420px" valign="top" align="left">
												<asp:CheckBox ID="chkSelectChildNodes" runat="server" Text="Select the child folders when parent is selected"
													Checked="True" ToolTip="If this is selected, then all child folder will also be selected when a parent folder is selected."></asp:CheckBox>
												<br />
												<br />
												<p>
													Tree of all available folders
												</p>
												<telerik:RadTreeView ID="RadTreeFolders" runat="server" Height="100%"
													Width="100%" autopostbackoncheck="True" CheckBoxes="True" autopostback="True"
													loadingmessageposition="AfterNodeText" imagesbasedir="~/">
												</telerik:RadTreeView>
											</td>
											<td valign="top">
												<p>
													List of selected items
												</p>
												<p>
													<asp:ListBox ID="lstSecurityAssigned" runat="server" Height="400px" Width="98%"></asp:ListBox>
												</p>
											</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
			<dx:TabPage Name="tabUsage" Text="Usage" ToolTip="View usage information for this user">
				<ContentCollection>
					<dx:ContentControl ID="tabUsage" runat="server" SupportsDisabledAttribute="True" Width="100%">
						<table class="RSTable" cellspacing="5" cellpadding="0" width="100%" border="0" style="text-align: left;">
							<tr>
								<td class="auto-style5">Last Login:
								</td>
								<td>
									<asp:Label ID="lblLastLogon" runat="server"></asp:Label>
								</td>
							</tr>
							<tr>
								<td class="auto-style5">Login Count:
								</td>
								<td>
									<asp:Label ID="lblLogonCount" runat="server"></asp:Label>
								</td>
							</tr>
							<tr>
								<td class="auto-style5" valign="top">Last Documents Run:
								</td>
								<td>
									<asp:ObjectDataSource ID="dataLastDocumentsRun" runat="server" SelectMethod="GetLastDocumentsRun" TypeName="Ripplestone.BLL.DocumentUsage">
										<SelectParameters>
                                            <asp:ControlParameter DefaultValue="0" ControlID="ASPxlblUserID" Name="userID" PropertyName="text" Type="Int32" />
										</SelectParameters>
									</asp:ObjectDataSource>
									<dx:ASPxGridView ID="gridLastDocumentsRun" runat="server" DataSourceID="dataLastDocumentsRun" Width="100%">
										<Settings ShowFilterRow="True" ShowGroupPanel="True" />
										<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
										<SettingsSearchPanel Visible="True" />
										<Columns>
											<dx:GridViewDataTextColumn Caption="Document Name" FieldName="Title" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Document Type" FieldName="ReportType" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataDateColumn Caption="Last Run Date" FieldName="RunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2">
												<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime" />
											</dx:GridViewDataDateColumn>
										</Columns>
										<Styles AdaptiveDetailButtonWidth="22"></Styles>
									</dx:ASPxGridView>
								</td>
							</tr>
							<tr>
								<td class="auto-style5" valign="top">Most Run Documents:
								</td>
								<td>
									<asp:ObjectDataSource ID="dataTopDocuments" runat="server" SelectMethod="GetDocumentsByUser" TypeName="Ripplestone.BLL.DocumentUsage">
										<SelectParameters>
                                            <asp:ControlParameter DefaultValue="0" ControlID="ASPxlblUserID" Name="userID" PropertyName="text" Type="Int32" />
										</SelectParameters>
									</asp:ObjectDataSource>
									<dx:ASPxGridView ID="gridTopDocuments" runat="server" DataSourceID="dataTopDocuments" AutoGenerateColumns="False" Width="100%">
										<Settings ShowFilterRow="True" ShowGroupPanel="True" />
										<SettingsDataSecurity AllowDelete="False" AllowEdit="False" AllowInsert="False" />
										<SettingsSearchPanel Visible="True" />
										<Columns>
											<dx:GridViewDataTextColumn Caption="Document Name" FieldName="Title" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="0">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Document Type" FieldName="ReportType" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="1">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataTextColumn Caption="Number of Runs" FieldName="CountOfRunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="2">
											</dx:GridViewDataTextColumn>
											<dx:GridViewDataDateColumn Caption="Last Run Date" FieldName="MaxOfRunDate" ReadOnly="True" ShowInCustomizationForm="True" VisibleIndex="3">
												<PropertiesDateEdit DisplayFormatString="" EditFormat="DateTime" />
											</dx:GridViewDataDateColumn>
										</Columns>
										<Styles AdaptiveDetailButtonWidth="22"></Styles>
									</dx:ASPxGridView>
								</td>
							</tr>
						</table>
					</dx:ContentControl>
				</ContentCollection>
			</dx:TabPage>
		</TabPages>
		<LoadingPanelStyle ImageSpacing="5px">
		</LoadingPanelStyle>
		<Paddings Padding="2px" PaddingLeft="5px" PaddingRight="5px" />
	</dx:ASPxPageControl>
	<br />
	<div id="buttons" style="clear: both">
		<asp:Button ID="btnSave" runat="server" Width="65px" Text="Save"></asp:Button>&nbsp;
		<asp:Button ID="btnCancel" runat="server" Width="65px" Text="Cancel" CausesValidation="False">
		</asp:Button><asp:ValidationSummary ID="ctlValidationSummary" runat="server" HeaderText="The following errors were found:"
			ShowSummary="False" DisplayMode="List" ShowMessageBox="True" ForeColor="Red">
		</asp:ValidationSummary>
	</div>
</asp:Content>
