﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.RowSecurity" Title="Row Security" CodeBehind="RowSecurity.aspx.vb" %>

<%@ Register Assembly="DevExpress.Web.v19.2, Version=19.2.15.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="DeleteRowSecurityByID" SelectMethod="GetRowSecurity" TypeName="Ripplestone.BLL.RowSecurity">
        <DeleteParameters>
            <asp:Parameter Name="ID" Type="Int32" />
        </DeleteParameters>
    </asp:ObjectDataSource>
    <div class="nav2">
        <a class="nav2left" onclick="callHelp('RowSecurityHelp.htm')" href="javascript:void(0)">
            <img alt="Help" src="images/help3.gif" /></a> <span class="nav2title">Row Security</span>
        <a href="EditRowLevelSecurity.aspx?Mode=A" class="nav2right">Add New Row Security</a>
    </div>
    <div class="dataGrid">
        <dx:ASPxGridView ID="gridRowSecurity" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSource1" KeyFieldName="ID" Width="100%"
            EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True" ClientInstanceName="gv">
            <SettingsContextMenu Enabled="True" />
            <SettingsPager PageSize="20">
                <PageSizeItemSettings ShowAllItem="True" Visible="True">
                </PageSizeItemSettings>
            </SettingsPager>
            <Settings ShowFilterRow="True" ShowGroupPanel="True" ShowFilterBar="Auto" ShowFilterRowMenu="True" />
            <SettingsDataSecurity AllowEdit="False" AllowInsert="False" />
            <SettingsSearchPanel Visible="True" ShowApplyButton="True" ShowClearButton="True" />
            <Columns>
                <dx:GridViewDataTextColumn FieldName="Table" VisibleIndex="2">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="Column" VisibleIndex="3">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn Caption="Operator" FieldName="RowOperator" VisibleIndex="4">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="Value" VisibleIndex="5">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="Folder" VisibleIndex="1">
                </dx:GridViewDataTextColumn>
                <dx:GridViewDataTextColumn FieldName="Role" VisibleIndex="0">
                </dx:GridViewDataTextColumn>
                <dx:GridViewCommandColumn ButtonType="Image" Caption="Edit" VisibleIndex="6" Name="Edit" Width="50px">
                    <CustomButtons>
                        <dx:GridViewCommandColumnCustomButton ID="btnEdit" Text="Edit" Visibility="AllDataRows">
                            <Image ToolTip="Click to edit this record" Url="~/Images/Edit.gif">
                            </Image>
                        </dx:GridViewCommandColumnCustomButton>
                    </CustomButtons>
                    <HeaderStyle HorizontalAlign="Center" />
                    <CellStyle>
                        <BackgroundImage Repeat="NoRepeat" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
                <dx:GridViewCommandColumn ShowDeleteButton="True" VisibleIndex="7" ButtonType="Image" Caption="Delete" Name="Delete" AllowDragDrop="False" Width="50px">
                    <HeaderStyle HorizontalAlign="Center" />
                    <CellStyle>
                        <BackgroundImage Repeat="NoRepeat" />
                    </CellStyle>
                </dx:GridViewCommandColumn>
            </Columns>
            <SettingsCommandButton>
                <DeleteButton>
                    <Image ToolTip="Delete this record" Url="~/Images/Delete.gif" />
                </DeleteButton>
            </SettingsCommandButton>
            <SettingsBehavior ConfirmDelete="True" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" EnableCustomizationWindow="True" />
            <SettingsDataSecurity AllowInsert="False" AllowEdit="False" />
            <Styles AdaptiveDetailButtonWidth="22"></Styles>
        </dx:ASPxGridView>
    </div>
</asp:Content>
